import java.util.*;

class TestHashSet {
  public static void main(String args[]) {
    if(args.length==0) {
      System.out.println("Introduceti un text in linia de comanda");
      System.exit(0);
    }
    HashSet tabDisp=new HashSet();
    /* Se pun in tabela de dispersie argumentele din linia de comanda     */
    for(int i=0; i<args.length; i++) {
      tabDisp.add(args[i]);
      System.out.println(tabDisp);
    }
    /* Se cauta ultimul argument */
    System.out.println("Exista in tabela cuvantul "+
       args[args.length-1]+
      ": "+tabDisp.contains(args[args.length-1]));
    /* Se cauta un sir probabil inexistent */
    System.out.println("Exista in tabela sirul xxx1275: "+
      tabDisp.contains("xxx1275"));
    System.out.println("Se elimina argumentul din mijloc");
    String str=args[args.length/2];
    tabDisp.remove(str);
    System.out.println("Dupa eliminarea elementului "+str+
      "\n"+tabDisp);
    /* Se creeaza un iterator al multimii si se afiseaza elementele
       cu ajutorul acestuia
    */
    Iterator iter=tabDisp.iterator();
    System.out.println("Afisarea elementelor folosind iteratorul:");
    while(iter.hasNext()) System.out.print(iter.next()+" ");
    System.out.println();
  }
}
