import java.util.*;

class DynamicProg2 {
  int n, d[];
  long c[][];
  List ord;

  public DynamicProg2(int d[]) {
    if(d.length>2) {
      this.d=d;
      n=d.length-1;
      c=new long[n][n];
    }
  }

  public void calculCosturi() {
    if(n==0) return;
    for(int m=1; m<n; m++) {
      for(int i=0; i<n-m; i++) {
        int j=i+m;
        c[i][j]=Long.MAX_VALUE;
        for(int k=i+1; k<=j; k++) {
          long val=c[i][k-1]+c[k][j]+d[i]*d[k]*d[j+1];
          if(val<c[i][j]) {
            c[i][j]=val;
            c[j][i]=k;
          } // sfarsit if
        } // sfarsit for k
      } // sfarsit for i
    } // sfarsit for m
  }

  public void ordine() {
    if(n>1) {
      ord=new ArrayList();
      ordine(0, n-1);
    }
  }

  private void ordine(int i, int j) {
    if(i<j) {
      int k=(int)c[j][i];
      ordine(i, k-1);
      ordine(k, j);
      ord.add(new Integer(k));
    }
  }


  public static void main(String args[]) {
    if(args.length<3) {
      System.out.println("Dati vectorul dimensiunilor matricelor");
      System.exit(0);
    }
    int n=args.length-1;
    int d[]=new int[args.length];

    try { 
      for(int i=0; i<args.length; i++) 
        d[i]=Integer.parseInt(args[i]);

      DynamicProg2 dp=new DynamicProg2(d);
      dp.calculCosturi();
      System.out.println("\nMatricea C");
      for(int i=0; i<n; i++) {
        for(int j=0; j<n; j++) System.out.print(dp.c[i][j]+" ");
        System.out.println();
      }

      System.out.println("\nOrdinea efectuarii inmultirilor: ");
      dp.ordine();
      System.out.println(dp.ord);

    }
    catch(Exception e) {
      System.out.println(e);
    }

  }
}

      
